package cn.org.bjca.trust.java.imserver.common;

import java.io.ByteArrayOutputStream;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.URL;

public class RabbitMQHelper {
    public static void requestByGetAndParams(String requestUrl, String param) throws Exception {
        System.out.println(requestUrl + ":\n" + param);
        URL url = new URL(requestUrl);
        HttpURLConnection httpURLConnection = (HttpURLConnection) url.openConnection();
        //设置请求方式，请求参数类型
        httpURLConnection.setRequestMethod("PUT");
        httpURLConnection.setRequestProperty("content-type", "application/json;charset=UTF-8");
        httpURLConnection.setRequestProperty("Authorization", "Basic YWRtaW46YWRtaW4=");
        httpURLConnection.setDoOutput(true);
        OutputStream outputStream = httpURLConnection.getOutputStream();
        //将参数写入输出流,param必须是JSON格式
        outputStream.write(param.getBytes());
        outputStream.flush();
        InputStream inputStream = httpURLConnection.getInputStream();
        ByteArrayOutputStream bout = new ByteArrayOutputStream();
        byte[] bytes = new byte[1024];
        int len = 0;
        while ((len = inputStream.read(bytes)) >= 0) {
            bout.write(bytes, 0, len);
        }
        inputStream.close();
        bout.close();
        bout.toByteArray();
    }
}
