package cn.org.bjca.trust.java.imserver.enums;

public enum MsgType {
    UNKNOWN(-1)     /* 未知 */,
    Text(1)         /* 文本 */,
    Voice(2)        /* 语音 */,
    Image(3)        /* 图片 */,
    Location(4)     /* 位置 */,
    Video(5)        /* 视频 */,
    File(6)         /* 文件 */,
    At(7)          /* @我 */,
    READ(8)          /* 已读 */,
    REVOKE(9)          /* 撤回 */,
    DELETE(10)          /* 删除 */,
    Other(101)          /* 自定义消息 */,

    Notify(999);

    private int type = -1;
    MsgType(final int type) {
        this.type = type;
    }
    public int type() {
        return this.type;
    }

    public static MsgType getType(final int type) {
        for (final MsgType value : MsgType.values()) {
            if (value.type == type) {
                return value;
            }
        }
        return UNKNOWN;
    }
}
