package cn.org.bjca.trust.java.imserver;

public class HttpResult<T> {
    /**
     * "code": 200
     * "message": "success"
     * data :
     */

    private int code;
    private String msg;
    private T data;

    public HttpResult(int code, String msg, T data) {
        this.code = code;
        this.msg = msg;
        this.data = data;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }
}
