package cn.org.bjca.trust.java.imserver.enums;

public enum OsType {
    UNKNOWN(-1),
    ANDROID(1),
    WEB(2),
    IOS(3),
    MAC(4),
    PC(5);

    private int type = -1;

    OsType(final int type) {
        this.type = type;
    }

    public int type() {
        return this.type;
    }

    public static OsType getType(final int type) {
        for (final OsType value : OsType.values()) {
            if (value.type == type) {
                return value;
            }
        }
        return UNKNOWN;
    }
}
